[cairo-commit] 3 commits - doc/public

Behdad Esfahbod behdad at kemper.freedesktop.org
Thu Sep 18 12:35:41 PDT 2008


 doc/public/Makefile.am           |    6 ++++--
 doc/public/cairo-sections.txt    |    3 ---
 doc/public/check-doc-coverage.sh |    5 ++++-
 3 files changed, 8 insertions(+), 6 deletions(-)

New commits:
commit dc260f1c0b432658cfa64e98c777609d0cbe7f3b
Author: Behdad Esfahbod <behdad at behdad.org>
Date:   Thu Sep 18 15:35:03 2008 -0400

    [doc] Remove lcd_filter API from doc listing
    
    Carl removed the API but not the listing in the docs.
    The docs tests are passing again now.

diff --git a/doc/public/cairo-sections.txt b/doc/public/cairo-sections.txt
index c179e92..fba1683 100644
--- a/doc/public/cairo-sections.txt
+++ b/doc/public/cairo-sections.txt
@@ -326,9 +326,6 @@ cairo_font_options_get_antialias
 cairo_subpixel_order_t
 cairo_font_options_set_subpixel_order
 cairo_font_options_get_subpixel_order
-cairo_lcd_filter_t
-cairo_font_options_set_lcd_filter
-cairo_font_options_get_lcd_filter
 cairo_hint_style_t
 cairo_font_options_set_hint_style
 cairo_font_options_get_hint_style
commit d02fb0fd2044652255da0922f70199e7a84a31c1
Author: Behdad Esfahbod <behdad at behdad.org>
Date:   Thu Sep 18 15:33:10 2008 -0400

    [doc/public/check-doc-coverage.sh] Make doc building needed for the test faster
    
    We used to do a full doc build to just to run the coverage test.  That's
    way too slow to expect people to run regularly.  Instead now we just do the
    source code scanning part of the doc build system that is just enough to
    know if all symbols are documented.
    
    A full doc build can be done as always by invoking "make doc", and indeed
    will be called as part of "make dist" or "make distcheck".

diff --git a/doc/public/Makefile.am b/doc/public/Makefile.am
index 464cf47..b4db8b7 100644
--- a/doc/public/Makefile.am
+++ b/doc/public/Makefile.am
@@ -50,11 +50,13 @@ include $(top_srcdir)/build/Makefile.am.gtk-doc
 
 dist-hook: doc
 
+# This line really belongs in gtk-doc.mk
+$(REPORT_FILES): sgml-build.stamp
+
 if ENABLE_GTK_DOC
-check: doc
 TESTS += check-doc-coverage.sh
 endif
 
 TESTS += check-doc-syntax.sh
 EXTRA_DIST += check-doc-coverage.sh check-doc-syntax.sh
-TESTS_ENVIRONMENT = srcdir="$(srcdir)" top_srcdir="$(top_srcdir)" MAKE="$(MAKE) $(AM_MAKEFLAGS)"
+TESTS_ENVIRONMENT = srcdir="$(srcdir)" top_srcdir="$(top_srcdir)" MAKE="$(MAKE) $(AM_MAKEFLAGS)" DOC_MODULE="$(DOC_MODULE)" REPORT_FILES="$(REPORT_FILES)"
diff --git a/doc/public/check-doc-coverage.sh b/doc/public/check-doc-coverage.sh
index 26212dc..5257c7a 100755
--- a/doc/public/check-doc-coverage.sh
+++ b/doc/public/check-doc-coverage.sh
@@ -11,6 +11,9 @@ if test -z "$DOC_MODULE"; then
 	fi
 fi
 
+if test -n "$REPORT_FILES"; then
+	$MAKE $REPORT_FILES || exit 1
+fi
 
 test -z "$srcdir" && srcdir=.
 stat=0
commit c6a7971a1e83d80050c4e2cfb42401a8d3c1b321
Author: Behdad Esfahbod <behdad at behdad.org>
Date:   Thu Sep 18 15:28:43 2008 -0400

    [doc/public/check-doc-coverage.sh] Fix typo in checking cairo-undeclared.txt
    
    Copy/paste error meant we were not checking cairo-undeclared.txt there.
    Indeed the test was passing even though Carl forgot to remove lcd-fitlering
    API from docs.  The test fails now.

diff --git a/doc/public/check-doc-coverage.sh b/doc/public/check-doc-coverage.sh
index 170e312..26212dc 100755
--- a/doc/public/check-doc-coverage.sh
+++ b/doc/public/check-doc-coverage.sh
@@ -16,7 +16,7 @@ test -z "$srcdir" && srcdir=.
 stat=0
 
 if test -f "$DOC_MODULE-undeclared.txt"; then
-	undeclared=`cat "$DOC_MODULE-unused.txt"`
+	undeclared=`cat "$DOC_MODULE-undeclared.txt"`
 	if test -n "$undeclared"; then
 		echo Undeclared documentation symbols: 1>&2
 		cat "$DOC_MODULE-undeclared.txt" 1>&2


More information about the cairo-commit mailing list